import {
	defineStore
} from 'pinia'
import {
	ref,
	computed
} from 'vue'
export const useSettingsStore = defineStore('settings', () => {

	const collapse = ref(false)
	const setting = ref(false)
	const customer = ref(false)
	const navType = ref('tag')
	const logoShow = ref(true)
	const logoPosition = ref('left')
	const layout = ref('1')


	function setCollapse() {
		collapse.value = !collapse.value
	}

	function setCustomer() {
		customer.value = !customer.value
	}

	function setSetting() {
		setting.value = !setting.value
	}

	function setNavType(value) {
		navType.value = value
	}

	function setLogoShow(value) {
		logoShow.value = value
	}

	function setLogoPosition(value) {
		logoPosition.value = value
	}

	function setLayout(value) {
		layout.value = value
	}


	return {
		collapse,
		setting,
		navType,
		logoShow,
		logoPosition,
		layout,
		customer,

		setCollapse,
		setSetting,
		setNavType,
		setLogoShow,
		setLogoPosition,
		setLayout,
		setCustomer
	}


}, {
	persist: true,
})